//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;group ref="{urn:oasis:names:tc:xliff:document:1.2}ElemGroup_TextContent" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;attribute name="state" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_state" />
 *       &lt;attribute name="state-qualifier" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_state-qualifier" />
 *       &lt;attribute name="phase-name" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute ref="{http://www.w3.org/XML/1998/namespace}lang"/>
 *       &lt;attribute name="ts" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="restype" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_restype" />
 *       &lt;attribute name="resname" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="coord" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_Coordinates" />
 *       &lt;attribute name="font" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="css-style" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="style" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="exstyle" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="equiv-trans" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_YesNo" default="yes" />
 *       &lt;anyAttribute processContents='skip'/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "content"
})
@XmlRootElement(name = "target")
public class Target {

    @XmlElementRefs({
        @XmlElementRef(name = "it", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = It.class, required = false),
        @XmlElementRef(name = "ph", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Ph.class, required = false),
        @XmlElementRef(name = "mrk", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Mrk.class, required = false),
        @XmlElementRef(name = "bpt", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Bpt.class, required = false),
        @XmlElementRef(name = "x", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = X.class, required = false),
        @XmlElementRef(name = "ept", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Ept.class, required = false),
        @XmlElementRef(name = "ex", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Ex.class, required = false),
        @XmlElementRef(name = "bx", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = Bx.class, required = false),
        @XmlElementRef(name = "g", namespace = "urn:oasis:names:tc:xliff:document:1.2", type = G.class, required = false)
    })
    @XmlMixed
    protected List<Object> content;
    @XmlAttribute(name = "state")
    protected String state;
    @XmlAttribute(name = "state-qualifier")
    protected String stateQualifier;
    @XmlAttribute(name = "phase-name")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String phaseName;
    @XmlAttribute(name = "lang", namespace = "http://www.w3.org/XML/1998/namespace")
    protected String lang;
    @XmlAttribute(name = "ts")
    protected String ts;
    @XmlAttribute(name = "restype")
    protected String restype;
    @XmlAttribute(name = "resname")
    protected String resname;
    @XmlAttribute(name = "coord")
    protected String coord;
    @XmlAttribute(name = "font")
    protected String font;
    @XmlAttribute(name = "css-style")
    protected String cssStyle;
    @XmlAttribute(name = "style")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String style;
    @XmlAttribute(name = "exstyle")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String exstyle;
    @XmlAttribute(name = "equiv-trans")
    protected AttrTypeYesNo equivTrans;
    @XmlAnyAttribute
    private Map<QName, String> otherAttributes = new HashMap<QName, String>();

    /**
     * Gets the value of the content property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the content property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link It }
     * {@link Ph }
     * {@link Mrk }
     * {@link Bpt }
     * {@link X }
     * {@link Ept }
     * {@link Ex }
     * {@link String }
     * {@link Bx }
     * {@link G }
     * 
     * 
     */
    public List<Object> getContent() {
        if (content == null) {
            content = new ArrayList<Object>();
        }
        return this.content;
    }

    /**
     * Gets the value of the state property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getState() {
        return state;
    }

    /**
     * Sets the value of the state property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setState(String value) {
        this.state = value;
    }

    /**
     * Gets the value of the stateQualifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStateQualifier() {
        return stateQualifier;
    }

    /**
     * Sets the value of the stateQualifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStateQualifier(String value) {
        this.stateQualifier = value;
    }

    /**
     * Gets the value of the phaseName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhaseName() {
        return phaseName;
    }

    /**
     * Sets the value of the phaseName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhaseName(String value) {
        this.phaseName = value;
    }

    /**
     * Gets the value of the lang property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLang() {
        return lang;
    }

    /**
     * Sets the value of the lang property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLang(String value) {
        this.lang = value;
    }

    /**
     * Gets the value of the ts property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTs() {
        return ts;
    }

    /**
     * Sets the value of the ts property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTs(String value) {
        this.ts = value;
    }

    /**
     * Gets the value of the restype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRestype() {
        return restype;
    }

    /**
     * Sets the value of the restype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRestype(String value) {
        this.restype = value;
    }

    /**
     * Gets the value of the resname property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResname() {
        return resname;
    }

    /**
     * Sets the value of the resname property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResname(String value) {
        this.resname = value;
    }

    /**
     * Gets the value of the coord property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCoord() {
        return coord;
    }

    /**
     * Sets the value of the coord property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCoord(String value) {
        this.coord = value;
    }

    /**
     * Gets the value of the font property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFont() {
        return font;
    }

    /**
     * Sets the value of the font property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFont(String value) {
        this.font = value;
    }

    /**
     * Gets the value of the cssStyle property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCssStyle() {
        return cssStyle;
    }

    /**
     * Sets the value of the cssStyle property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCssStyle(String value) {
        this.cssStyle = value;
    }

    /**
     * Gets the value of the style property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStyle() {
        return style;
    }

    /**
     * Sets the value of the style property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStyle(String value) {
        this.style = value;
    }

    /**
     * Gets the value of the exstyle property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExstyle() {
        return exstyle;
    }

    /**
     * Sets the value of the exstyle property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExstyle(String value) {
        this.exstyle = value;
    }

    /**
     * Gets the value of the equivTrans property.
     * 
     * @return
     *     possible object is
     *     {@link AttrTypeYesNo }
     *     
     */
    public AttrTypeYesNo getEquivTrans() {
        if (equivTrans == null) {
            return AttrTypeYesNo.YES;
        } else {
            return equivTrans;
        }
    }

    /**
     * Sets the value of the equivTrans property.
     * 
     * @param value
     *     allowed object is
     *     {@link AttrTypeYesNo }
     *     
     */
    public void setEquivTrans(AttrTypeYesNo value) {
        this.equivTrans = value;
    }

    /**
     * Gets a map that contains attributes that aren't bound to any typed property on this class.
     * 
     * <p>
     * the map is keyed by the name of the attribute and 
     * the value is the string value of the attribute.
     * 
     * the map returned by this method is live, and you can add new attribute
     * by updating the map directly. Because of this design, there's no setter.
     * 
     * 
     * @return
     *     always non-null
     */
    public Map<QName, String> getOtherAttributes() {
        return otherAttributes;
    }

}
